<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html 
     PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
     "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html>
<head>
  <title>drop_tables (FontDB)</title>
  <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
  <link rel="stylesheet" href="../.././rdoc-style.css" type="text/css" media="screen" />
</head>
<body class="standalone-code">
  <pre><span class="ruby-comment cmt"># File font_db.rb, line 131</span>
  <span class="ruby-keyword kw">def</span> <span class="ruby-identifier">drop_tables</span>()
    <span class="ruby-keyword kw">if</span> <span class="ruby-constant">FontDB</span>.<span class="ruby-identifier">instance</span>.<span class="ruby-identifier">tables_exist?</span> <span class="ruby-keyword kw">then</span>
      <span class="ruby-ivar">@db</span>.<span class="ruby-identifier">execute_batch</span>(<span class="ruby-value str">%{
        DROP TABLE fonts;
        DROP TABLE tags;
        DROP TABLE tags_fonts;
        DROP TABLE sets;
        DROP TABLE sets_fonts;
      }</span>)
      <span class="ruby-keyword kw">return</span> <span class="ruby-keyword kw">true</span>
    <span class="ruby-keyword kw">else</span>
      <span class="ruby-keyword kw">return</span> <span class="ruby-keyword kw">false</span>
    <span class="ruby-keyword kw">end</span>
  <span class="ruby-keyword kw">end</span></pre>
</body>
</html>